%define        serverdir     %(apxs -q htdocsdir 2>/dev/null)
# To create a customized installation:
# autospec -u roundcubemail -a5 
#   -d "installdir=%serverdir/../www.example.com, 
#       sitename=example, 
#       adminmail=webmaster@example.com"

%if "%{?installdir}" == ""
%define     installdir    %{serverdir}/roundcubemail
%endif

%if "%{?sitename}" != ""
%if "%{?servername}" == ""
%define  servername    %(basename %installdir 2>/dev/null)
%endif
%define     serverlogdir  %(apxs -q logfiledir 2>/dev/null)
%else
%if "%{?aliasdir}" == ""
%define  aliasdir      /roundcubemail
%endif
%endif

Name:          %{?sitename:%sitename-website-}roundcubemail
Version:       1.6.2
Release:       1mamba
Summary:       A browser-based multilingual IMAP client with an application-like user interface
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://roundcube.net/
Source:        https://github.com/roundcube/roundcubemail/releases/download/%{version}/roundcubemail-%{version}-complete.tar.gz
Patch0:        roundcubemail-0.8.5-php-no_strict.patch
Patch1:        roundcubemail-1.1.4-password-postfix-integration.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      pear-Auth_SASL
Requires:      pear-MDB2
Requires:      pear-MDB2_Driver_mysql
Requires:      pear-Mail_Mime
Requires:      pear-Net_Socket
Requires:      pear-Net_SMTP
Requires:      pear-Net_IDNA2
Requires:      php-openssl
Requires:      php-mysql
Requires:      php-pear
Requires:      pear-Net_Sieve
BuildArch:     noarch

%description
Roundcube webmail is a browser-based multilingual IMAP client with an application-like user interface. It provides full functionality you expect from an e-mail client, including MIME support, address book, folder manipulation, message searching and spell checking.

%prep
%setup -q -n roundcubemail-%{version}
#%patch 1 -p1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{installdir}
cp -a * %{buildroot}%{installdir}
cp .htaccess %{buildroot}%{installdir}

install -d %{buildroot}%{_sysconfdir}/httpd/httpd.d
%if "%{?sitename}" != ""
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{servername}.conf << EOF
%else
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{name}.conf << EOF
%endif
%if "%{?sitename}" == ""
%if "%(dirname %installdir)" != "%{serverdir}"
Alias %{aliasdir} %{installdir}

%endif
%endif
<Directory %{installdir}>
AllowOverride All
RewriteEngine On
Require all granted
Order allow,deny
Allow from All
</Directory>
%if "%{?sitename}" != ""
%if "%(dirname %installdir)" != "%{serverdir}"

<VirtualHost *:80>
%{?adminmail:ServerAdmin %adminmail}
DocumentRoot %{installdir}
ServerName %{servername}
ErrorLog %{serverlogdir}/%{servername}-error_log
CustomLog %{serverlogdir}/%{servername}-access_log common
</VirtualHost>
%endif
%endif
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
[ -e %{_localstatedir}/lock/subsys/httpd ] && service httpd reload || :
fi
:

%files
%defattr(-,root,root)
%if "%{?sitename}" != ""
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{servername}.conf
%else
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{name}.conf
%endif
%dir %{installdir}
%{installdir}/.htaccess
%{installdir}/*
%attr(0755,apache,nobody) %{installdir}/temp
%attr(0755,apache,nobody) %{installdir}/logs
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README.md

%changelog
* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Mon Jun 27 2022 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Sat Jan 01 2022 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Mon Nov 29 2021 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Tue Oct 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-2mamba
- use -complete tarball
- require pear-Auth_SASL

* Tue Oct 19 2021 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 1.4.11-1mamba
- automatic version update by autodist

* Wed Dec 30 2020 Automatic Build System <autodist@mambasoft.it> 1.4.10-1mamba
- automatic version update by autodist

* Fri Oct 02 2020 Automatic Build System <autodist@mambasoft.it> 1.4.9-1mamba
- automatic version update by autodist

* Thu Aug 13 2020 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic version update by autodist

* Sun Jul 19 2020 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic version update by autodist

* Tue Jun 09 2020 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Sat Jun 06 2020 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Tue Feb 25 2020 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Thu Jan 09 2020 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Tue Nov 26 2019 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Wed Nov 13 2019 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 1.3.10-1mamba
- automatic version update by autodist

* Mon Apr 01 2019 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic version update by autodist

* Mon Oct 29 2018 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic version update by autodist

* Tue Jul 31 2018 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic version update by autodist

* Tue Mar 20 2018 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Wed Jan 17 2018 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2017 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Wed Nov 01 2017 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Tue Sep 05 2017 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Thu Dec 01 2016 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Fri Sep 30 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Thu Oct 01 2015 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Mon Jun 08 2015 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Mar 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-3mamba
- require pear-Net_Sieve
- patch password plugin config.php.dist for easy change password integration with postfix/mysql

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-2mamba
- require php-pear

* Mon Jan 26 2015 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Wed Dec 24 2014 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Tue Sep 30 2014 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sun Jun 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- add requirements for php-openssl and php-mysql

* Fri May 16 2014 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Tue Oct 22 2013 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Sat Sep 07 2013 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Mon May 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Tue Apr 23 2013 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-1mamba
- package created by silvan using the webbuild interface
